import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class CostPanel extends JPanel {
	Image img;

  	public void setImage(Image img) {
  		this.img = img;
  		repaint();
  	}

  	public CostPanel() {
	    img = null;
	}

	public Dimension getPreferredSize() {
		return new Dimension(256, 256);
	}

	public void update(Graphics g) {
		if(img != null)
			g.drawImage(img, 0, 0, this);
	}

	public void paint(Graphics g) {
		if(img != null)
			g.drawImage(img, 0, 0, this);
	}
	
	public Image getImage(){
		return img;
	}
}
