import java.awt.BorderLayout;
import java.awt.FileDialog;
import java.awt.Image;

import javax.swing.JFrame;

import java.awt.Toolkit;

public class Livewire extends JFrame{
	private ImagePanel im;

	/**
	 * Constructor. Starts a new Open File-dialogue to load the image to be segmented. 
	 * @param name The name of the application
	 */
	public Livewire(String name){
		super(name);

		FileDialog fileD = new FileDialog(this, "Open File", FileDialog.LOAD);
		fileD.setVisible(true);
		String imageFile = fileD.getDirectory()+fileD.getFile();
		System.out.println(imageFile);
		Image dummyImage = Toolkit.getDefaultToolkit().getImage(imageFile);

		CostPanel cp = new CostPanel();
	    im = new ImagePanel(dummyImage, cp);

		ButtonPanel bp = new ButtonPanel(im);
	    setLayout(new BorderLayout());
	    add(im, BorderLayout.WEST);
	    add(cp, BorderLayout.EAST);
	    add(bp, BorderLayout.SOUTH);

	    setSize(800,400);
	    setDefaultCloseOperation(EXIT_ON_CLOSE);
		setVisible(true);


	}

	public static void main(String [] args){
		Livewire t = new Livewire("Live-wire segmentation");

	}
}
