public class Point {
	static int INFINITY = 32000;
	static int NONE = -1;
	static int DONE = -2;

	int x, y, accessor;
	Point previous, next;
	double cost;

    public Point() {
    	x = y = INFINITY;
    	cost = INFINITY;
    	accessor = NONE;
    	previous = next = null;
    }

    public Point(int x, int y) {
    	this.x = x;
    	this.y = y;
    	cost = INFINITY;
    	accessor = NONE;
    	previous = next = null;
    }

    public Point(int x, int y, Point previous, double cost) {
    	this.x = x;
    	this.y = y;
    	this.previous = previous;
    	this.cost = cost;
    	accessor = NONE;
    	next = null;
    }
}
