% Function to compute area and circumference
function [areas, circumferences] = find_area(paths, regions);

[height width] = size(paths);
no_of_regions = max(regions);

for i = regions(1):regions(size(regions,2));
    temp_area = 0;
    temp_circ = 0;
    for y = 1:height
        line_length = 0;
        edge_count = 0;
        temp_length = 0;
        for x = 1:width
            if(paths(y,x)==i+1)
                temp_circ = temp_circ+1;
                line_length = line_length+1;
                if(paths(y,x+1)~=i+1)
                    temp_length = line_length;
                    edge_count = edge_count+1;
                end
            end
            if(paths(y,x)~=i+1 && mod(edge_count, 2)==1)
                line_length = line_length +1;
            end
        end
        if(edge_count == 1)
            temp_area = temp_area + temp_length;
        else
            temp_area = temp_area + line_length;
        end
    end
    areas(i) = temp_area;
    circumferences(i) = temp_circ;
end
