% Function computing what is defined as the raw moments, up to level p1,q1
function moments = find_moments(paths, p1,q1, no_of_regions);

[Height Width] = size(paths);

for i = 1:no_of_regions
    for p = 0:p1
        for q = 0:q1
            mom = 0;

            for y = 1:Height
                for x = 1:Width
                    if(paths(y,x)==i+1)
                        mom = mom+(power(y,p)*power(x,q));
                    end
                end
            end
            x_pos = find_pos(p,q);
            if(x_pos~=-1)
                moments(i,x_pos) = mom;
            end
        end
    end
end